.TH "mca_allocator_bucket_bucket_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_allocator_bucket_bucket_t \- Structure for each bucket.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <allocator_bucket_alloc.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_allocator_bucket_chunk_header_t\fP * \fBfree_chunk\fP"
.br
.RI "\fIthe first free chunk of memory \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBlock\fP"
.br
.RI "\fIthe lock on the bucket \fP"
.ti -1c
.RI "\fBmca_allocator_bucket_segment_head_t\fP * \fBsegment_head\fP"
.br
.RI "\fIthe list of segment headers \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure for each bucket. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
